#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file '/home/tluebke/kwlan/src/kdialupconfig.ui'
**
** Created: So Sep 3 16:35:53 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kdialupconfig.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a dialupConfig as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
dialupConfig::dialupConfig( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "dialupConfig" );
    dialupConfigLayout = new QGridLayout( this, 1, 1, 11, 6, "dialupConfigLayout"); 

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 
    spacer1 = new QSpacerItem( 326, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout5->addItem( spacer1 );

    pbOk = new QPushButton( this, "pbOk" );
    layout5->addWidget( pbOk );

    pbCancel = new QPushButton( this, "pbCancel" );
    layout5->addWidget( pbCancel );

    dialupConfigLayout->addLayout( layout5, 1, 0 );

    tabConnection = new QTabWidget( this, "tabConnection" );

    tabSettings = new QWidget( tabConnection, "tabSettings" );
    tabSettingsLayout = new QGridLayout( tabSettings, 1, 1, 11, 6, "tabSettingsLayout"); 

    layout12 = new QHBoxLayout( 0, 0, 6, "layout12"); 

    layout6 = new QVBoxLayout( 0, 0, 6, "layout6"); 

    txtProfileName = new QLabel( tabSettings, "txtProfileName" );
    layout6->addWidget( txtProfileName );

    textLabel2 = new QLabel( tabSettings, "textLabel2" );
    layout6->addWidget( textLabel2 );

    txtInterfaceLabel3 = new QLabel( tabSettings, "txtInterfaceLabel3" );
    layout6->addWidget( txtInterfaceLabel3 );

    txtphonNumber = new QLabel( tabSettings, "txtphonNumber" );
    layout6->addWidget( txtphonNumber );

    txtUsername = new QLabel( tabSettings, "txtUsername" );
    layout6->addWidget( txtUsername );

    textLabel5 = new QLabel( tabSettings, "textLabel5" );
    layout6->addWidget( textLabel5 );
    layout12->addLayout( layout6 );

    layout11 = new QVBoxLayout( 0, 0, 6, "layout11"); 

    leProfileName = new QLineEdit( tabSettings, "leProfileName" );
    layout11->addWidget( leProfileName );

    cbConnectionType = new QComboBox( FALSE, tabSettings, "cbConnectionType" );
    layout11->addWidget( cbConnectionType );

    cbInterface = new QComboBox( FALSE, tabSettings, "cbInterface" );
    layout11->addWidget( cbInterface );

    lePhoneNumber = new QLineEdit( tabSettings, "lePhoneNumber" );
    layout11->addWidget( lePhoneNumber );

    leUsername = new QLineEdit( tabSettings, "leUsername" );
    layout11->addWidget( leUsername );

    layout10 = new QHBoxLayout( 0, 0, 6, "layout10"); 

    lePassword = new QLineEdit( tabSettings, "lePassword" );
    lePassword->setEchoMode( QLineEdit::Password );
    layout10->addWidget( lePassword );

    cbStorePassword = new QCheckBox( tabSettings, "cbStorePassword" );
    layout10->addWidget( cbStorePassword );
    layout11->addLayout( layout10 );
    layout12->addLayout( layout11 );

    tabSettingsLayout->addLayout( layout12, 0, 0 );
    tabConnection->insertTab( tabSettings, QString::fromLatin1("") );

    tabScripts = new QWidget( tabConnection, "tabScripts" );
    tabScriptsLayout = new QGridLayout( tabScripts, 1, 1, 11, 6, "tabScriptsLayout"); 

    layout12_2 = new QVBoxLayout( 0, 0, 6, "layout12_2"); 

    layout11_2 = new QHBoxLayout( 0, 0, 6, "layout11_2"); 

    layout9 = new QVBoxLayout( 0, 0, 6, "layout9"); 

    textLabel1 = new QLabel( tabScripts, "textLabel1" );
    layout9->addWidget( textLabel1 );

    textLabel2_2 = new QLabel( tabScripts, "textLabel2_2" );
    layout9->addWidget( textLabel2_2 );
    layout11_2->addLayout( layout9 );

    layout7 = new QVBoxLayout( 0, 0, 6, "layout7"); 

    leScriptAfterConnect = new QLineEdit( tabScripts, "leScriptAfterConnect" );
    layout7->addWidget( leScriptAfterConnect );

    leScriptBeforeDisconnect = new QLineEdit( tabScripts, "leScriptBeforeDisconnect" );
    layout7->addWidget( leScriptBeforeDisconnect );
    layout11_2->addLayout( layout7 );

    layout10_2 = new QVBoxLayout( 0, 0, 6, "layout10_2"); 

    cbScriptAfterConnectRoot = new QCheckBox( tabScripts, "cbScriptAfterConnectRoot" );
    layout10_2->addWidget( cbScriptAfterConnectRoot );

    cbScriptBeforeDisconnectRoot = new QCheckBox( tabScripts, "cbScriptBeforeDisconnectRoot" );
    layout10_2->addWidget( cbScriptBeforeDisconnectRoot );
    layout11_2->addLayout( layout10_2 );
    layout12_2->addLayout( layout11_2 );
    spacer2 = new QSpacerItem( 21, 132, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout12_2->addItem( spacer2 );

    tabScriptsLayout->addLayout( layout12_2, 0, 0 );
    tabConnection->insertTab( tabScripts, QString::fromLatin1("") );

    dialupConfigLayout->addWidget( tabConnection, 0, 0 );
    languageChange();
    resize( QSize(510, 309).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cbConnectionType, SIGNAL( highlighted(const QString&) ), this, SLOT( fillInterfaces(const QString&) ) );
    connect( pbCancel, SIGNAL( clicked() ), this, SLOT( cancel() ) );
    connect( pbOk, SIGNAL( clicked() ), this, SLOT( ok() ) );

    // tab order
    setTabOrder( leProfileName, cbConnectionType );
    setTabOrder( cbConnectionType, cbInterface );
    setTabOrder( cbInterface, lePhoneNumber );
    setTabOrder( lePhoneNumber, leUsername );
    setTabOrder( leUsername, lePassword );
    setTabOrder( lePassword, cbStorePassword );
    setTabOrder( cbStorePassword, pbOk );
    setTabOrder( pbOk, pbCancel );
    setTabOrder( pbCancel, leScriptAfterConnect );
    setTabOrder( leScriptAfterConnect, cbScriptAfterConnectRoot );
    setTabOrder( cbScriptAfterConnectRoot, leScriptBeforeDisconnect );
    setTabOrder( leScriptBeforeDisconnect, cbScriptBeforeDisconnectRoot );
    setTabOrder( cbScriptBeforeDisconnectRoot, tabConnection );
}

/*
 *  Destroys the object and frees any allocated resources
 */
dialupConfig::~dialupConfig()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void dialupConfig::languageChange()
{
    setCaption( tr2i18n( "Dialup Network Configuration" ) );
    pbOk->setText( tr2i18n( "&Ok" ) );
    pbOk->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    pbCancel->setText( tr2i18n( "C&ancel" ) );
    pbCancel->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    txtProfileName->setText( tr2i18n( "Profile name" ) );
    textLabel2->setText( tr2i18n( "Connection Type" ) );
    txtInterfaceLabel3->setText( tr2i18n( "Interface" ) );
    txtphonNumber->setText( tr2i18n( "Phone number" ) );
    txtUsername->setText( tr2i18n( "Username" ) );
    textLabel5->setText( tr2i18n( "Password" ) );
    cbConnectionType->clear();
    cbConnectionType->insertItem( tr2i18n( "PPPOE (DSL)" ) );
    cbConnectionType->insertItem( tr2i18n( "ISDN" ) );
    cbConnectionType->insertItem( tr2i18n( "Analog" ) );
    cbStorePassword->setText( tr2i18n( "Re&member password" ) );
    cbStorePassword->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    tabConnection->changeTab( tabSettings, tr2i18n( "&Connection Settings" ) );
    textLabel1->setText( tr2i18n( "Script to start after connect" ) );
    textLabel2_2->setText( tr2i18n( "Script to start before disconnect" ) );
    cbScriptAfterConnectRoot->setText( tr2i18n( "&Use root rights" ) );
    cbScriptAfterConnectRoot->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    cbScriptBeforeDisconnectRoot->setText( tr2i18n( "Use root ri&ghts" ) );
    cbScriptBeforeDisconnectRoot->setAccel( QKeySequence( tr2i18n( "Alt+G" ) ) );
    tabConnection->changeTab( tabScripts, tr2i18n( "S&cripts" ) );
}

void dialupConfig::fillInterfaces(const QString&)
{
    qWarning( "dialupConfig::fillInterfaces(const QString&): Not implemented yet" );
}

void dialupConfig::ok()
{
    qWarning( "dialupConfig::ok(): Not implemented yet" );
}

void dialupConfig::cancel()
{
    qWarning( "dialupConfig::cancel(): Not implemented yet" );
}

#include "kdialupconfig.moc"
